/**************************************************************************\
*   BC 1.0, WC 10.0, GCC 2.7                    Source: initvars.h
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    PGPEd
*   Last change:     14.11.98
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __initvars_h
#define __initvars_h


#define MAXCFGLINE 1024

/* constants for programm runmodes */
#define RUN_HELP        0
#define RUN_VERSION     -1
#define RUN_EDIT        1
#define RUN_VIEW        2


extern char fname[];
extern char ctname[];
extern char ptname[];
extern char svname[];
extern char ct_new;

extern char editbin[];
extern char viewbin[];
extern char pgpbin[];

extern char **envl;
extern char pgppath[];
extern char tzone[];

extern int pgprc_encr;
extern int pgprc_decr;

/*
 * Parses and reads the path as a config
 */
void readcfg(char *path);

int parsecl(const int argc, char **argv);

void initvars(void);

#endif

/*** EOF initvars.h *******************************************************/