/**************************************************************************\
*   BC 1.0, WC 10.0, GCC 2.7                    Source: defines.h
*   Host platform:   DOS, OS2, W32, NIX         Code:   ASCII-7
*   Target platform: DOS, OS2, W32, NIX         Code:   ASCII-7
*   Project name:    Standard defines for misc pgms and compatibility
*   Last change:     14.11.1998
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __defines_h
#define __defines_h


#ifdef DEBUG
    #define TRACE
    #define DBG "deb"
#else
    #define DBG ""
#endif


#if defined(__GNUC__)
    #define MADEBY "GNU C"
#elif defined(__WATCOMC__)
    #define MADEBY "Watcom C"
#elif defined(__BORLANDC__)
    #define MADEBY "Borland C"
#elif defined(__TURBOC__)
    #define MADEBY "Turbo C"
#endif

#if defined(__unix__)
    #define OS "NIX"
    #define PATH_DELIM "/"
    #define MAXPATH 256
#elif defined(OS2)
    #define OS "OS2"
    #define PATH_DELIM "/"
    #define MAXPATH 128
#elif defined(W95) || defined(NT)
    #define OS "W32"
    #define PATH_DELIM "\\"
    #define MAXPATH 128
#else
    #define OS "DOS"
    #define PATH_DELIM "\\"
    #define MAXPATH 64
#endif


#ifdef __unix__
#define HAVE_CURSES
#endif

#ifndef __unix__
#define HAVE_SPAWN
#endif

/* Borland and Watcom C name 'strcasecmp' as 'stricmp' */
#if defined(__TURBOC__) || defined(__BORLANDC__) || defined(__WATCOMC__)
    #define strcasecmp stricmp
#endif

#endif
/*** EOF PL-MAIL.C *********************************************************/