/**************************************************************************\
*   BC 1.01, WC 10.0                            Source: tools.h
*   Host platform:   DOS                        Code:   ASCII-7
*   Target platform: DOS                        Code:   ASCII-7
*   Project name:    PGPEd
*   Last change:     09.11.98
*   Programmer:      Andrew Porokhnyak
****************************************************************************
*
\**************************************************************************/

#ifndef __tools_h
#define __tools_h

#define LOGINT(v) Log(6, "(%s:%i) %s=%i", __FILE__, __LINE__, #v, (int)(v))
#define LOGSTR(v) Log(6, "(%s:%i) %s=`%s'", __FILE__, __LINE__, #v, \
    (char *)(v))

void Log(int lev, char *s,...);
int askpassw(const char fornew, const char *ctname, char *passw);
int fdelete(const char *path);
int fwipe(const char *path);
int fcopy(const char *dest, const char *sour, const char mode);

#endif

/*** EOF tools.h **********************************************************/